﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.EJ.Export;
using Syncfusion.XlsIO;
using Syncfusion.JavaScript.DataVisualization.Models;
using System.Collections;

namespace WebApplication2
{
    public partial class _Default : Page
    {
        
        protected void Page_Load(object sender, EventArgs e)
        {
            this.Chart1.PrimaryYAxis.Range.Min = 0;
            this.Chart1.PrimaryYAxis.Range.Max = 20000;
            this.Chart1.PrimaryYAxis.Range.Interval = 2000;

            List<ExportChartData> data = new List<ExportChartData>();

            data.Add(new ExportChartData("John", 10000));
            data.Add(new ExportChartData("Jake", 12000));
            data.Add(new ExportChartData("Peter", 18000));
            data.Add(new ExportChartData("James", 11000));
            data.Add(new ExportChartData("Mary", 9700));

            //Binding DataSource to Chart
            this.Chart1.DataSource = data;
            this.Chart1.DataBind();

            this.Chart1.DataSource = data;
            this.Chart1.DataBind();
            
        }


        protected void FlatChart_ServerExcelExporting(object sender, Syncfusion.JavaScript.Web.ChartEventArgs e)
        {

            ExcelExport exp = new ExcelExport();
            exp.Export(this.Chart1.Model, (IEnumerable)Chart1.DataSource, "Export.xlsx", ExcelVersion.Excel2010, null, null);
        }
       
               
    }
    [Serializable]
    public class ExportChartData
    {
        public ExportChartData(string xval, double yvalue1)
        {
            this.Xvalue = xval;
            this.YValue1 = yvalue1;
        }
        public string Xvalue
        {
            get;
            set;
        }
        public double YValue1
        {
            get;
            set;
        }


    }
}